View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwritehttps://uri.paypal.com/services/invoicing/internalPreferstringOptionalapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
typeenum<reminder_type>Requiredintervalobject<reminder_interval>Requiredunitenum<reminder_interval_unit>Requirednotificationobject<reminder_notification>Optionalmetadataobject<reminder_metadata>OptionalNo fields are defined.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/invoicing/reminders/RC-239531651S471944P" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "Prefer: return=representation" \ -H "Content-Type: application/json" \ -d '{ "type": "BEFORE_DUE", "interval": { "unit": "DAY", "value": 1 }, "repetition": 1 }'{ "id": "RC-239531651S471944P", "type": "BEFORE_DUE", "status": "ACTIVE", "interval": { "unit": "DAY", "value": 1 }, "repetition": 1, "metadata": { "created_time": "2026-01-28T03:31:53Z", "updated_time": "2026-01-28T03:31:53Z" }, "notification": { "send_to_invoicer": false }, "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P", "rel": "self", "method": "GET" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P", "rel": "replace", "method": "PUT" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P/suspend", "rel": "suspend", "method": "POST" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P/resume", "rel": "resume", "method": "POST" } ]}